Subject: RE: [Megaco] Fw: Handoff-query-reg

From: "Tom-PT Taylor"<[email-masked]>
Date: Mon, 7 Jan 2002 09:15:51 -0500

The exact requirement is stated in the first paragraph of section 9 of the
standard, and is unchanged in v2:

  "For transport of the protocol over IP, MGCs shall implement both TCP and
UDP/ALF, an MG shall implement TCP or UDP/ALF or both."

The original question, though, was whether the standard should dictate
exactly which protocol an MG should use for alternative MGCs given that it
used a specific protocol with one of them.  In fact, the standard says that
it can use whichever protocol it wants and the MGC will support it. 

-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Saturday, January 05, 2002 1:57 PM
To: [email-masked]
Subject: Re: [Megaco] Fw: Handoff-query-reg

Tom 
Way back, I thought the Standard said that MGC has to support both - UDP/TCP
and MG 
can support either. 
Earlier attempt also tried to define 2 well know Megaco port for UDP and TCP
which turns out 
to be unnecessary for the following reason. 
Since MGC is the server, it listens on port 2944 (text encoding) or 2945
(binary encoding) for UDP or TCP. 
If MG attempts a registration on UDP, then MGC uses UDP for that MG and same
goes for TCP. 
Has this been changed in v1? 
Thanks 
Chuong 
  
Tom-PT Taylor wrote: 
As I see it, this is a configuration issue -- don't look to the RFC for 
guidance. 
-----Original Message----- 
From: Surya Kumar IVG [mailto:[email-masked]] 
Sent: Friday, January 04, 2002 12:22 AM 
To: [email-masked] 
Subject: [Megaco] Fw: Handoff-query-reg 
----- Original Message ----- 
From: Madhu Babu Brahmanapally 
To: 'Surya Kumar IVG' 
Sent: Thursday, January 03, 2002 7:51 PM 
Subject: RE: Handoff-query-reg 
HI Surya, 
I wrote the reply yesterday and thought I sent it to you, Sorry for that. 
Normally when a MG is controlled by a MGC pool, IMO all the MGCs inside that

control pool will have similar transport mechanism. I mean if the Primary is

using TCP, the new MGC contacted due to failover or handoff will also be 
using the same transport protocol. As you mentioned, the RFC doesn't throw 
any light on this. Whydont you send a mail to the mailing list for expected 
outcome in this situation. But IMO don't hardcode any transport protocol for

this purpose(or assume any default). Hope that the mailing list replies may 
help us. 
Regards 
Madhubabu 
-----Original Message----- 
From: Surya Kumar IVG [mailto:[email-masked]] 
Sent: Thursday, January 03, 2002 2:02 AM 
To: Madhu Babu Brahmanapally 
Subject: Fw: Handoff-query-reg 
REPEAT 
----- Original Message ----- 
From: Surya Kumar IVG 
To: Madhu Babu Brahmanapally 
Sent: Wednesday, January 02, 2002 12:30 PM 
Subject: Handoff-query-reg 
Dear Madhubabu 
I have a query with regards to handoff mechanism. 
Considering that MGC P is going down for a while for maintenance and sends a

handoff to MG and provides the ID of MGC to be contacted , while it goes 
down. 
The MG tries with a failover to that particular MGC and treats that as 
Primary for all practical purposes, if contacts successfully. Else it goes 
for list of designated secondary mGCs one after another , till it is 
successful. 
But , once handoff comes, MGC does not specify any transport  media on which

MG has to try to talk to MGC i.e UDp or TCP. The RFC also does not throw any

details on that. 
Can we make it as default for MG to try on UDP and not successful, it can 
still try on TCP to the same MGC. ? If not successful , then MG moves to 
secondary MGC. 
regards 
surya 
_______________________________________________ 
Megaco mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/megaco
-- 
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco